=== debian/changelog ===
ros-melodic-radial-menu-rviz (0.4.1-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 26 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.4.0-1stretch) stretch; urgency=high

  * Support null items in RadialMenu
  * Use std's smart pointers
  * Suppress error console outputs on startup

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 15 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.3.4-1stretch) stretch; urgency=high

  * Add system dependency to Qt

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 13 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.3.3-1stretch) stretch; urgency=high

  * Support display types in HorizontalMenu

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 08 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.3.2-1stretch) stretch; urgency=high

  * Fix system dependency (rviz)
  * Support the latest model description

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Fri, 07 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.3.1-1stretch) stretch; urgency=high

  * Support display types in RadialMenu

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 05 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.3.0-1stretch) stretch; urgency=high

  * Menu item tree from parameter using the radial_menu_model package

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sun, 02 Aug 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.2.0-1stretch) stretch; urgency=high

  * Install targets

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 25 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.1.4-1stretch) stretch; urgency=high

  * Skip redrawing the menu when incoming state equals to the previous state

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 25 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.1.3-1stretch) stretch; urgency=high

  * Break texts according to area width in RadialMenu

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 23 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.1.2-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 23 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.1.1-1stretch) stretch; urgency=high

  * No changes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 22 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.1.0-1stretch) stretch; urgency=high

  * Support submenus in RadialMenu
  * Supprot multiline texts in RadialMenu and HorizontalMenu

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Wed, 22 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.0.4-1stretch) stretch; urgency=high

  * Add draw_title_area property

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.0.3-1stretch) stretch; urgency=high

  * Support refactored state message type
  * Add DisplayBase implementing common behaviour between display classes

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.0.2-1stretch) stretch; urgency=high

  * Better looking and more customizable property of Display
  * Add HorizontalDisplay for minial visualization

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Sat, 18 Jul 2020 15:00:00 -0000

ros-melodic-radial-menu-rviz (0.0.1-1stretch) stretch; urgency=high

  * Initial version
  * Looks working on melodic and kinetic
  * Contributors: Yoshito Okada

 -- Yoshito Okada <okada@rm.is.tohoku.ac.jp>  Thu, 16 Jul 2020 15:00:00 -0000
